Subject: bug#11383: closed (Re: bug#11383: [md5sum] bug on filename with a backslash)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Apr 2012 17:37:03 +0000

Your bug report

#11383: [md5sum] bug on filename with a backslash

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11383: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11383
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11383: [md5sum] bug on filename with a backslash
From: Eric Blake <[email-masked]>
To: CAOBA Support team <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Apr 2012 11:34:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 11383 notabug
thanks

On 04/30/2012 09:34 AM, CAOBA Support team wrote:
> Hi there,
> 
> I found what I think is a bug in the *md5sum* command.
> 
> When used on a filename with a backslah, the output doesn't look quite the
> same as usual:
> 
> # ls -l /tmp/file1 '/tmp/file\2'
> -rw-r--r-- 1 root root 2 2012-04-30 17:05 /tmp/file1
> -rw-r--r-- 1 root root 2 2012-04-30 17:05 /tmp/file\2
> # md5sum /tmp/file1 '/tmp/file\2'
> 60b725f10c9c85c70d97880dfe8191b3  /tmp/file1
> \3b5d5c3712955042212316173ccf37be  /tmp/file\\2

Thanks for the report.  However, this is not a bug, but intentional
behavior.  It allows us to encode filenames with newlines in them using
a \n sequence, but to use \ as an escape character, \ also has to escape
itself.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: [md5sum] bug on filename with a backslash
From: CAOBA Support team <[email-masked]>
To: [email-masked], CAOBA Support team <[email-masked]>
Date: Mon, 30 Apr 2012 17:34:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

I found what I think is a bug in the *md5sum* command.

When used on a filename with a backslah, the output doesn't look quite the
same as usual:

# ls -l /tmp/file1 '/tmp/file\2'
-rw-r--r-- 1 root root 2 2012-04-30 17:05 /tmp/file1
-rw-r--r-- 1 root root 2 2012-04-30 17:05 /tmp/file\2
# md5sum /tmp/file1 '/tmp/file\2'
60b725f10c9c85c70d97880dfe8191b3  /tmp/file1
\3b5d5c3712955042212316173ccf37be  /tmp/file\\2

Hope this helps
-------------------------
*Santiago DIEZ*
*Director
*CAOBA Support team
-------------------------
<http://www.google.com/url?q=http%3A%2F%2Flinks.quark-systems.com%2Flogo_140&sa=D&sntz=1&usg=AFrqEzcreE51XSfxWvFFl-a-17lBP-kzGA>
<http://www.google.com/url?q=http%3A%2F%2Fsantiago.news.free.fr%2Flogo.png&sa=D&sntz=1&usg=AFrqEzfmW2Io3OI5IqEGiVeDRebZgD4TaQ>
-------------------------
*Quark Systems & CAOBA*
*23 rue du Buisson Saint-Louis, 75010 Paris*
-------------------------